Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/21/2018 in all areas

  1. Confirmed. This was a bug in the code translator. It's now been fixed but sadly too late for us
    2 points
  2. Yes, I'm aware of this. It''s not a specific file that's causing the problem, it's an issue with server resources that I need to get to grips with. In theory, we ought to be seeing better performance with this software but I know from the test board that it took a few days to settle down. Additionally, Invision Community is optimised for PHP 7. Currently we are running PHP 5.6, which was necessary to keep the old forum going. I'll be changing to PHP 7 once I've checked it doesn't impact on any other applications on this server. In tests, it looks like PHP 7.2 runs about twice as fast as PHP 5.6, so I'm optimistic that will make a significant improvement.
    2 points
  3. OK, all done! No need to look at the plugin mentioned above. There's a very nice, granular approach to application permissions that I wasn't aware of. Curiously, the default settings on this platform are that everyone has access to everything. However, I've now changed that. So from now on, guests cannot see any of the following: Profiles Online User List Status Updates Hopefully that covers your reasonable concerns about privacy. All I have to do now is get that syntax highlighting thing sorted out PS Additionally, if you'd like to turn off status updates for everyone, you can do that in your member settings.
    2 points
  4. Ha! But if you use the "filter by" option at top right and select "Logged In", you can see who's really here
    1 point
  5. That's nice. Using it I found out why my own tube version didn't want to rotate. Thanks again!
    1 point
  6. The next flood of posts will be: "I copied your codes and get 'malformed list on input'."
    1 point
  7. It works on my A2018... Although I modified it a little... I think the problem was in (vla-get-area) function - I replaced it with (vlax-curve-getarea)... :) (defun c:PTE ( / PTE:text-style PTE:layer PTE:ss->obj PTE:MinMax PTE:Text PTE:temp110919 PTE:start PTE:end *error* ss i sum lst rlst ss mm obj2 area txt react space pt ) (vl-load-com) ;;===========================================;; ;; Sub-02 Function ;; ;;===========================================;; (defun PTE:text-style ( na siz wid f1 f2 ) (if (not (tblsearch "STYLE" na)) (entmakex (list (cons 0 "STYLE") (cons 100 "AcDbSymbolTableRecord") (cons 100 "AcDbTextStyleTableRecord") (cons 2 na) (cons 70 0) (cons 40 siz) (cons 41 wid) (cons 50 0.0) (cons 71 0) (cons 42 siz) (cons 3 f1) (cons 4 f2) ) ) ) ) ;;===========================================;; ;; Sub-03 Function ;; ;;===========================================;; (defun PTE:layer ( la col lty / layer ) (while (not (tblsearch "layer" la)) (setq layer (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) la ) ) (vla-put-color layer col) (vla-put-linetype layer lty) ) ) ;;===========================================;; ;; Sub-04 Function ;; ;;===========================================;; (defun PTE:ss->obj ( ss / i re ) (if ss (repeat (setq i (sslength ss)) (setq re (cons (vlax-ename->vla-object (ssname ss (setq i (1- i)))) re)) ) ) ) ;;===========================================;; ;; Sub-05 Function ;; ;;===========================================;; (defun PTE:MinMax ( ent / mi ma ylst xlst ans ) (cond ((= 'ENAME (type ent)) (vla-getboundingbox (vlax-ename->vla-object ent) 'mi 'ma) (setq ans (list (vlax-safearray->list mi) (vlax-safearray->list ma))) ) ((= 'VLA-OBJECT (type ent)) (vla-getboundingbox ent 'mi 'ma) (setq ans (list (vlax-safearray->list mi) (vlax-safearray->list ma))) ) ((= 'PICKSET (type ent)) (setq xlst '() ylst '() ) (mapcar '(lambda ( ename / mi ma ) (vla-getboundingbox (vlax-ename->vla-object ename) 'mi 'ma) (setq mi (vlax-safearray->list mi) ma (vlax-safearray->list ma) xlst (vl-sort (append xlst (list (car mi)) (list (car ma))) '<) ylst (vl-sort (append ylst (list (cadr mi)) (list (cadr ma))) '<) ) ) (vl-remove-if 'listp (mapcar 'cadr (ssnamex ent))) ) (setq ans (list (list (car xlst) (car ylst)) (list (last xlst) (last ylst)))) ) ) ans ) ;;===========================================;; ;; Sub-06 Function ;; ;;===========================================;; (defun PTE:Text ( pt str ag siz ) (setq obj (vla-addtext (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))) str (vlax-3d-point (trans pt 1 0)) siz)) (vla-put-alignment obj ag) ;10 middle 9 left (vla-put-textalignmentpoint obj (vlax-3d-point pt)) obj ) ;;===========================================;; ;; Sub-07 Function ;; ;;===========================================;; (defun PTE:temp110919 ( space pt title data __siz / _itemp i j tbstyle ) (defun _itemp ( collection item ) (if (not (vl-catch-all-error-p (setq item (vl-catch-all-apply 'vla-item (list collection item)) ) ) ) item ) ) (setq i 0 j 0) (vla-settextheight (setq tbstyle (_itemp (_itemp (vla-get-dictionaries (vla-get-activedocument (vlax-get-acad-object)) ) "ACAD_TABLESTYLE" ) (getvar 'CTABLESTYLE) ) ) acDataRow __siz ) (vla-settextheight tbstyle acHeaderRow __siz) (vla-settextheight tbstyle AcTitleRow __siz) ( (lambda ( table ) (vla-put-stylename table (getvar 'CTABLESTYLE)) (vla-settext table 0 0 title) ( (lambda ( row ) (mapcar (function (lambda ( rowitem ) (setq row (1+ row)) (setq i (1+ i)) ( (lambda ( column ) (mapcar (function (lambda ( item ) (if (= i (length data)) (setq item (strcat "{\\Fromans|c0;\\C30;" item "}")) (setq item (strcat "{\\Fromans|c0;\\C2;" item "}")) ) (vla-settext table row (setq column (1+ column)) item) (vla-setcellalignment table row column 5) ` ) ) rowitem ) ) -1 ) ) ) data ) ) 0 ) table ) ( (lambda ( textheight ) (setq aa textheight) (vla-addtable space (vlax-3d-point pt) (1+ (length data)) (length (car data)) (* 2 textheight) (* textheight (apply 'max (cons (/ (strlen title) (length (car data))) (mapcar 'strlen (apply 'append data)) ) ) ) ) ) (vla-gettextheight tbstyle acDataRow) ) ) ) ;;===========================================;; ;; Sub-08 Function ;; ;;===========================================;; (defun PTE:start ( variable-list / ) (setq *list* variable-list) (setq *start* (mapcar 'getvar *list*)) (if (= 8 (logand 8 (getvar 'UNDOCTL))) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) ) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) ) ;;===========================================;; ;; Sub-09 Function ;; ;;===========================================;; (defun PTE:end nil (if (and *list* *start*) (mapcar 'setvar *list* *start*)) (setq *list* nil *start* nil) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) ) ;;===================================================;; ;; M A I N - function ;; ;;===================================================;; (defun *error* ( s ) (PTE:end) (princ)) (PTE:start '("dimzin")) (PTE:layer "2" 2 "continuous") (PTE:text-style "PTE-text" 0 1 "ROMANS.SHX" "GHS.SHX") (setvar 'cmdecho 0) (setvar 'dimzin 0) (setq i 0 sum 0. lst '() rlst '() ss (PTE:ss->obj (ssget "_:L" '((0 . "LWPOLYLINE,CIRCLE")))) ) (setq __siz (cond ( (getreal (strcat "\n Enter text size. <" (rtos (setq __siz (cond ( __siz ) ( 3. )) ) 2 1 ) ">: " ) ) ) ( __siz ) ) ) (setq __zin (cond ( (getint (strcat "\n Enter decimal point factor. <" (itoa (setq __zin (cond ( __zin ) ( 2 )) ) ) ">: " ) ) ) ( __zin ) ) ) (foreach obj ss (setq mm (PTE:MinMax obj) obj2 obj area (vlax-curve-getarea obj) sum (+ area sum) ) (setq txt (PTE:Text (mapcar '/ (mapcar '+ (car mm) (cadr mm)) (list 2 2)) (strcat (itoa (setq i (1+ i))) "-" (rtos area 2 __zin)) 10 __siz ) ) (vla-put-layer txt "2") (vla-put-stylename txt "PTE-text") (setq react (vlr-pers (vlr-object-reactor (list obj2) (list txt i) '( (:vlr-modified . PTE:area-reactor-m) (:vlr-erased . PTE:area-reactor-e) ) ) ) ) (setq rlst (append rlst (list react))) (setq lst (append lst (list (list (itoa i) (rtos area 2 __zin))))) ) (if (vlax-method-applicable-p (setq space (vlax-get-property (setq doc (vla-get-activedocument (vlax-get-acad-object))) (if (= 1 (getvar 'CVPORT)) 'Paperspace 'Modelspace) ) ) 'AddTable ) (progn (setq lst (append lst (list (list "ToTal" (rtos sum 2 __zin))))) (setq tobj (PTE:temp110919 space (setq pt (getpoint "\nPick the point for table")) "{\\Fromans|c0;\\C3;Area Table}" lst __siz ) ) (mapcar '(lambda ( re ) (vlr-data-set re (append (vlr-data re) (list tobj __zin)) ) ) rlst ) ) (princ "\n** This cad ver. don't service table. **") ) (PTE:end)(princ) ) ;;===========================================;; ;; CallBack Func. - 01 ;; ;;===========================================;; (defun PTE:area-table-arrange ( reactor area zin / table sum i ) (defun PTE:Mtext ( txt / len1 len2 ) (while (and (setq len1 (vl-string-search "\;" txt)) (setq len2 (vl-string-search "\\" txt)) ) (setq len1 (1+ len1) len2 (1+ len2) txt (vl-string-subst "" (substr txt len2 (1+ (- len1 len2))) txt) ) ) (while (and (setq len1 (vl-string-search "{" txt)) (setq len2 (vl-string-search "}" txt)) ) (setq txt (vl-string-subst "" "{" txt) txt (vl-string-subst "" "}" txt) ) ) txt ) ;;;__ (setq table (caddr (vlr-data reactor)) sum 0 i 0 ) (if (not (vlax-erased-p table)) (progn (vla-settext table (itoa (cadr (vlr-data reactor))) 1 (strcat "{\\Fromans|c0;\\C2;" area "}")) (repeat (- (vla-get-rows table) 2) (setq i (1+ i)) (setq sum (+ sum (atof (PTE:Mtext (vla-gettext table i 1))))) ) (vla-settext table (- (vla-get-rows table) 1) 1 (strcat "{\\Fromans|c0;\\C30;" (rtos sum 2 zin) "}")) ) ) ) ;;===========================================;; ;; CallBack Func. - 02 ;; ;;===========================================;; (defun PTE:area-reactor-m ( owner reactor param / zin area txt ) (if (not (vlax-erased-p owner)) (progn (setq zin (cadddr (vlr-data reactor)) area (rtos (vlax-curve-getarea owner) 2 zin) ) (if (not (vlax-erased-p (setq txt (car (vlr-data reactor))))) (vla-put-textstring txt (strcat (itoa (cadr (vlr-data reactor))) "-" area)) ) (PTE:area-table-arrange reactor area zin) ) )(princ) ) ;;===========================================;; ;; CallBack Func. - 03 ;; ;;===========================================;; (defun PTE:area-reactor-e ( owner reactor param / ) (setq zin (cadddr (vlr-data reactor))) (PTE:area-table-arrange reactor "-" zin) (vlr-remove reactor) (princ) ) Regards, M.R. HTH.
    1 point
  8. It's not impossible and there are various things that may have caused this. The data in the old forum was subject to a number of changes during the migration. First there was a character set translation from latin1 to UTF-8. This was unavoidable and brings the forum into line with contemporary web content. In the vast majority of cases, this will have made no difference to the characters displayed but there are always edge cases. Second, the translation of code that includes special characters such as the octothorpe (hash) character can cause problems as these have special meanings in HTML. If the characters were incorrectly encoded in the first place, they may have been stripped out. I do appreciate that those sort of translation problems can have serious consequences for code scripts but it's not something that could easily have been foreseen. You can amend that code block by clicking the Code button while editing the post.
    1 point
  9. @Big G FWIW, we have probably over a hundred PCs here running Civil 3D 2014 on Windows 10 (1709), with no issues. There may be issues with some portion of it that we have not hit yet, but for the most part it works just fine.
    1 point
  10. Autocad Civ3d Briscad zwcad Intellicad wow a different one every month. If you want Free look at Drafsight.
    1 point
×
×
  • Create New...